package it.politecnico.mapper.measurement;

import it.politecnico.model.measurement.Measurement;
import it.politecnico.model.measurement.MeasurementExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface MeasurementMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    int countByExample(MeasurementExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    int deleteByExample(MeasurementExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    int insert(Measurement record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    int insertSelective(Measurement record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    List<Measurement> selectByExample(MeasurementExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    Measurement selectByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") Measurement record, @Param("example") MeasurementExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") Measurement record, @Param("example") MeasurementExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(Measurement record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(Measurement record);
}